Skip to main content
`Ctrl`+`K`

# slepc4py.SLEPc.EPS.Extraction

class slepc4py.SLEPc.EPS.Extraction

  Bases: `object`

  EPS extraction technique.

  - `RITZ`: Standard Rayleigh-Ritz extraction.

  - `HARMONIC`: Harmonic extraction.

  - `HARMONIC_RELATIVE`: Harmonic extraction relative to the eigenvalue.

  - `HARMONIC_RIGHT`: Harmonic extraction for rightmost eigenvalues.

  - `HARMONIC_LARGEST`: Harmonic extraction for largest magnitude (without

      target).

  - `REFINED`: Refined extraction.

  - `REFINED_HARMONIC`: Refined harmonic extraction.

  Attributes Summary

  `HARMONIC` | Constant `HARMONIC` of type `int`
  `HARMONIC_LARGEST` | Constant `HARMONIC_LARGEST` of type `int`
  `HARMONIC_RELATIVE` | Constant `HARMONIC_RELATIVE` of type `int`
  `HARMONIC_RIGHT` | Constant `HARMONIC_RIGHT` of type `int`
  `REFINED` | Constant `REFINED` of type `int`
  `REFINED_HARMONIC` | Constant `REFINED_HARMONIC` of type `int`
  `RITZ` | Constant `RITZ` of type `int`

  Attributes Documentation

  HARMONIC: int = HARMONIC

    Constant `HARMONIC` of type `int`

  HARMONIC_LARGEST: int = HARMONIC_LARGEST

    Constant `HARMONIC_LARGEST` of type `int`

  HARMONIC_RELATIVE: int = HARMONIC_RELATIVE

    Constant `HARMONIC_RELATIVE` of type `int`

  HARMONIC_RIGHT: int = HARMONIC_RIGHT

    Constant `HARMONIC_RIGHT` of type `int`

  REFINED: int = REFINED

    Constant `REFINED` of type `int`

  REFINED_HARMONIC: int = REFINED_HARMONIC

    Constant `REFINED_HARMONIC` of type `int`

  RITZ: int = RITZ

    Constant `RITZ` of type `int`